/* aos-styles.css */
/* Remove ALL pointer-events rules! */

/* Basic visibility control */
[data-aos] {

    transition-property: opacity, transform;
    transition-duration: 1s;
}

[data-aos].aos-animate {
    opacity: 1;
    transform: none;
}

/* Specific animation types */
[data-aos="fade-up"] {
    transform: translateY(50px);
}

[data-aos="fade-down"] {
    transform: translateY(-50px);
}

[data-aos="fade-left"] {
    transform: translateX(50px);
}

[data-aos="fade-right"] {
    transform: translateX(-50px);
}

[data-aos="zoom-in"] {
    transform: scale(0.8);
}

[data-aos="flip-up"] {
    transform: perspective(1000px) rotateX(-90deg);
    transform-origin: 0 100%;
}